Bug 1320747 - [GSS](6.4.z) JSTL TransformSupport XSL import not finding relative path
Summary: [GSS](6.4.z) JSTL TransformSupport XSL import not finding relative path
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web
Version: 6.4.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.4.8
Assignee: Chao Wang
QA Contact: Radim Hatlapatka
URL:
Whiteboard:
Depends On: CVE-2015-0254
Blocks: eap648-payload 1325360 1325440
TreeView+ depends on / blocked
 
Reported: 2016-03-23 22:43 UTC by Brad Maxwell
Modified: 2017-03-01 13:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1325440 (view as bug list)
Environment:
Last Closed: 2017-01-17 12:37:03 UTC
Type: Bug


Attachments (Terms of Use)
browser.log (11.79 KB, text/plain)
2016-03-23 22:44 UTC, Brad Maxwell
no flags Details
server.log (16.71 KB, text/plain)
2016-03-23 22:44 UTC, Brad Maxwell
no flags Details
test2.war (10.37 KB, application/octet-stream)
2016-03-23 22:45 UTC, Brad Maxwell
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1241799 None None None Never
Red Hat Bugzilla 1256834 None None None Never
Red Hat Issue Tracker JBEAP-9213 Blocker Verified JSTL TransformSupport XSL import not finding relative path 2018-07-31 14:37:39 UTC
Red Hat Knowledge Base (Solution) 2327541 None None None 2016-05-17 21:10:07 UTC

Internal Links: 1241799 1256834

Description Brad Maxwell 2016-03-23 22:43:28 UTC
Deploy test2.war
Hit url:
http://localhost:8080/test2/test3.jsp

This change happened after moving from EAP 6.4 CP5 to CP6 where jstl had some bugs fixed.

test3.jsp:
------------
<c:import var="xslStylesheet" url="/xsl/ident/style3.xsl" charEncoding="UTF-8" />
<c:import url="http://localhost:8080/test2/test.xml" var="doc"/>
<x:transform xml="${doc}" xslt="${xslStylesheet}" xsltSystemId="/xsl/">
</x:transform> 

style3.xsl
---------------
<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                version="1.0">

    <xsl:import href="parent.xsl"/>
...

17:41:17,145 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/test2].[jsp]] (http-127.0.0.1:8080-1) JBWEB000236: Servlet.service() for servlet jsp threw exception: java.net.MalformedURLException: unknown protocol: jstl
	at java.net.URL.<init>(URL.java:592) [rt.jar:1.7.0_51]
	at java.net.URL.<init>(URL.java:482) [rt.jar:1.7.0_51]
	at java.net.URL.<init>(URL.java:431) [rt.jar:1.7.0_51]
	at org.apache.xerces.impl.XMLEntityManager.setupCurrentEntity(XMLEntityManager.java:959)
	at org.apache.xerces.impl.XMLVersionDetector.determineDocVersion(XMLVersionDetector.java:143)
	at org.apache.xerces.parsers.XML11Configuration.parse(XML11Configuration.java:802)
	at org.apache.xerces.parsers.XML11Configuration.parse(XML11Configuration.java:768)
	at org.apache.xerces.parsers.XMLParser.parse(XMLParser.java:108)
	at org.apache.xerces.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1196)
	at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(SAXParserImpl.java:555)
	at org.apache.xalan.processor.ProcessorInclude.parse(ProcessorInclude.java:312)
	at org.apache.xalan.processor.ProcessorInclude.startElement(ProcessorInclude.java:158)
	at org.apache.xalan.processor.StylesheetHandler.startElement(StylesheetHandler.java:626)
	at org.apache.xerces.parsers.AbstractSAXParser.startElement(AbstractSAXParser.java:496)
	at org.apache.xerces.parsers.AbstractXMLDocumentParser.emptyElement(AbstractXMLDocumentParser.java:180)
	at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(XMLNSDocumentScannerImpl.java:275)
	at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(XMLDocumentFragmentScannerImpl.java:1653)
	at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(XMLDocumentFragmentScannerImpl.java:324)
	at org.apache.xerces.parsers.XML11Configuration.parse(XML11Configuration.java:845)
	at org.apache.xerces.parsers.XML11Configuration.parse(XML11Configuration.java:768)
	at org.apache.xerces.parsers.XMLParser.parse(XMLParser.java:108)
	at org.apache.xerces.parsers.AbstractSAXParser.parse(AbstractSAXParser.java:1196)
	at org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser.parse(SAXParserImpl.java:555)
	at org.apache.xalan.processor.TransformerFactoryImpl.newTemplates(TransformerFactoryImpl.java:926)
	at org.apache.xalan.processor.TransformerFactoryImpl.newTransformer(TransformerFactoryImpl.java:780)
	at __redirected.__TransformerFactory.newTransformer(__TransformerFactory.java:132) [jboss-modules.jar:1.3.7.Final-redhat-1]
	at org.apache.taglibs.standard.util.XmlUtil.newTransformer(XmlUtil.java:195) [jboss-jstl-api_1.2_spec-1.0.9.Final-redhat-1.jar:1.0.9.Final]
	at org.apache.taglibs.standard.tag.common.xml.TransformSupport.doStartTag(TransformSupport.java:124) [jboss-jstl-api_1.2_spec-1.0.9.Final-redhat-1.jar:1.0.9.Final]
	at org.apache.jsp.test3_jsp._jspx_meth_x_005ftransform_005f0(test3_jsp.java:230)
	at org.apache.jsp.test3_jsp._jspService(test3_jsp.java:91)
	at org.apache.jasper.runtime.HttpJspBase.service(HttpJspBase.java:69) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.jar:1.0.2.Final-redhat-2]
	at org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:365) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.jar:1.0.2.Final-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.5.7.Final-redhat-2.jar:7.5.7.Final-redhat-2]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:150) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:344) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:854) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:654) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926) [jbossweb-7.5.15.Final-redhat-1.jar:7.5.15.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]

Comment 1 Brad Maxwell 2016-03-23 22:44:12 UTC
Created attachment 1139772 [details]
browser.log

Comment 2 Brad Maxwell 2016-03-23 22:44:48 UTC
Created attachment 1139773 [details]
server.log

Comment 3 Brad Maxwell 2016-03-23 22:45:24 UTC
Created attachment 1139774 [details]
test2.war

Comment 7 Mike McCune 2016-03-28 22:24:40 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 11 Michael Cada 2016-05-10 08:10:25 UTC
Verified with EAP 6.4.8.CP.CR2

Comment 12 Petr Penicka 2017-01-17 12:37:03 UTC
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.


Note You need to log in before you can comment on or make changes to this bug.